Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005PotentialFieldBasicBehaviors Class Reference

`#include <GT2005PotentialFieldBasicBehaviors.h>`

Inheritance diagram for GT2005PotentialFieldBasicBehaviors:

[legend]
Collaboration diagram for GT2005PotentialFieldBasicBehaviors:

[legend]
List of all members.

## Public Member Functions
| GT2005PotentialFieldBasicBehaviors (BehaviorControlInterfaces &interfaces, Xabsl2ErrorHandler &errorHandler)
| Constructor.
void | registerBasicBehaviors (Xabsl2Engine &engine)
| Registers basic behaviors at the engine.
void | update ()
| updates some variables
## Private Attributes
Xabsl2ErrorHandler & | errorHandler
| Is invoked when errors occurs.
Basic Behaviors
GT2005PotentialFieldBasicBehaviorSupport | potentialFieldSupport
GT2005PotentialFieldBasicBehaviorOffensiveSupport | potentialFieldOffensiveSupport
GT2005PotentialFieldBasicBehaviorAvoidRobots | potentialFieldAvoidRobots

## Constructor & Destructor Documentation

GT2005PotentialFieldBasicBehaviors::GT2005PotentialFieldBasicBehaviors | ( | BehaviorControlInterfaces & | interfaces,
|  | Xabsl2ErrorHandler & | errorHandler
| ) | `[inline]`

| Constructor. Definition at line 134 of file GT2005PotentialFieldBasicBehaviors.h. References potentialFieldAvoidRobots, potentialFieldOffensiveSupport, and potentialFieldSupport.

## Member Function Documentation

void GT2005PotentialFieldBasicBehaviors::registerBasicBehaviors | ( | Xabsl2Engine & | engine | ) | `[inline]`

| Registers basic behaviors at the engine. Definition at line 144 of file GT2005PotentialFieldBasicBehaviors.h. References potentialFieldAvoidRobots, potentialFieldOffensiveSupport, potentialFieldSupport, and Xabsl2Engine::registerBasicBehavior(). Referenced by GT2005BehaviorControl::registerSymbolsAndBasicBehaviors().

Here is the call graph for this function:

void GT2005PotentialFieldBasicBehaviors::update | ( |  | ) | `[inline]`

| updates some variables Definition at line 152 of file GT2005PotentialFieldBasicBehaviors.h. Referenced by GT2005BehaviorControl::execute().

## Member Data Documentation

Xabsl2ErrorHandler& GT2005PotentialFieldBasicBehaviors::errorHandler`[private]`

| Is invoked when errors occurs. Definition at line 156 of file GT2005PotentialFieldBasicBehaviors.h.

GT2005PotentialFieldBasicBehaviorSupport GT2005PotentialFieldBasicBehaviors::potentialFieldSupport`[private]`

| Definition at line 160 of file GT2005PotentialFieldBasicBehaviors.h. Referenced by GT2005PotentialFieldBasicBehaviors(), and registerBasicBehaviors().

GT2005PotentialFieldBasicBehaviorOffensiveSupport GT2005PotentialFieldBasicBehaviors::potentialFieldOffensiveSupport`[private]`

| Definition at line 161 of file GT2005PotentialFieldBasicBehaviors.h. Referenced by GT2005PotentialFieldBasicBehaviors(), and registerBasicBehaviors().

GT2005PotentialFieldBasicBehaviorAvoidRobots GT2005PotentialFieldBasicBehaviors::potentialFieldAvoidRobots`[private]`

| Definition at line 162 of file GT2005PotentialFieldBasicBehaviors.h. Referenced by GT2005PotentialFieldBasicBehaviors(), and registerBasicBehaviors().

The documentation for this class was generated from the following file:

- Modules/BehaviorControl/GT2005BehaviorControl/GT2005BasicBehaviors/GT2005PotentialFieldBasicBehaviors.h